Draft Array/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(29 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_PathArray|Path Array]]|[[Draft_Module|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/es
{{GuiCommand/es|Name=Draft_Array|Name/es=Draft Array|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Matriz}}
|
|
|[[Draft_Workbench/es|Borrador]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}
</div>
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{VeryImportantMessage|Este comando está obsoleto en 0.19. Para el nuevo uso, vea [[Draft_OrthoArray/es|Borrador ArregloOrtográfica]], que funciona esencialmente de la misma manera.
==Descripción==
Vea también [[Draft_PolarArray/es|Borrador ArregloPolar]] y [[Draft_CircularArray/es|Borrador ArregloCircular]].}}
</div>


<div class="mw-translate-fuzzy">
La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.
{{GuiCommand
|Name=Draft Array
|Name/es=Borrador Arreglo
|MenuLocation=Borrador → Arreglo
|Workbenches=[[Draft_Workbench/es|Borrador]]
|SeeAlso=[[Draft_PolarArray/es|Borrador ArregloPolar
]], [[Draft_CircularArray/es|Borrador ArregloCircular]], [[Draft_PathArray/es|Borrador ArregloTrayectorias]], [[Draft_PointArray/es|Borrador ArregloPuntos]], [[Draft_Clone/es|Borrador Clon]]
}}
</div>
</div>


<span id="Description"></span>
This tool can be used on 2D shapes created with the [[Draft Workbench]] but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[PartDesign Workbench]].
==Descripción==

To position copies along a path use [[Draft PathArray]]; to position copies at specified points use [[Draft PointArray]]; to create copies or clones, and manually place them use [[Draft Move]], [[Draft Rotate]], and [[Draft Clone]].


[[Image:Draft_Array_example.jpg|400px]]
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
La {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/es|Borrador Arreglo]]}}
[[Image:Draft_Array_example.jpg|400px]]
herramienta crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.
</div>
</div>

The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].

This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.

==Usage==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 28: Line 49:
</div>
</div>


==Properties==
Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.


See [[Draft_OrthoArray#Properties|Draft OrthoArray]].
== Options ==

There are no options for this tool. Either it works with the selected object or not.

== Properties ==
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
* {{PropertyData|Array Type}}: specifies the type of array to create, either "ortho" or "polar".
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:
* {{PropertyData|Interval X}}: specifies the interval between each copy on the X axis.
* {{PropertyData|Interval Y}}: specifies the interval between each copy on the Y axis.
* {{PropertyData|Interval Z}}: specifies the interval between each copy on the Z axis.
* {{PropertyData|Number X}}: specifies the number of copies on the X axis.
* {{PropertyData|Number Y}}: specifies the number of copies on the Y axis.
* {{PropertyData|Number Z}}: specifies the number of copies on the Z axis.

For polar arrays:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
* {{PropertyData|Center}}: specifies the center point of the array circle.
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].
The Array tool can be used in [[macros]] and from the [[Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.


<div class="mw-translate-fuzzy">
==Opciones==

* La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.
</div>
{{Code|code=
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
}}

To create a rectangular array, use it like this:
{{Code|code=
array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/es
==Propiedades==
|

|
* {{PropertyData|Array Type}}: Especifica el tipo de matriz orto o polar
|[[Draft_Workbench/es|Borrador]]
</div>
|IconL=
{{Code|code=
|IconR=
array_list = array(objectslist, center, totalangle, totalnum)
|IconC=Workbench_Draft.svg
}}
}}

<div class="mw-translate-fuzzy">
Ejemplo:
</div>
</div>


{{Draft Tools navi{{#translation:}}}}
This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.
{{Userdocnavi{{#translation:}}}}

Example:
{{Code|code=
import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)
}}

<div class="mw-translate-fuzzy">
Para matrices polares:

* {{PropertyData|Axis}}: La dirección normal a la circunferencia de la matriz
* {{PropertyData|Center}}: El punto centro de la matriz
* {{PropertyData|Angle}}: El ángulo a cubrir con las copias
* {{PropertyData|Number Polar}}: El número de copias
</div>

The basic signature is as follows:
{{Code|code=
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
}}

<div class="mw-translate-fuzzy">
Para matrices ortogonales:
</div>
{{Code|code=
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")
}}

<div class="mw-translate-fuzzy">
==Archivos de guión==

La herramienta Matriz se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
</div>
{{Code|code=
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
}}

<div class="mw-translate-fuzzy">
Para matrices ortogonales:
</div>

<div class="mw-translate-fuzzy">
Para matrices polares:
</div>
{{Code|code=
import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
}}

{{Docnav|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_PathArray|Path Array]]|[[Draft_Module|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}

{{Draft Tools navi}}

{{Userdocnavi}}
{{clear}}

Latest revision as of 08:25, 20 May 2023

Este comando está obsoleto en 0.19. Para el nuevo uso, vea Borrador ArregloOrtográfica, que funciona esencialmente de la misma manera. Vea también Borrador ArregloPolar y Borrador ArregloCircular.

Draft Array

Menu location
Borrador → Arreglo
Workbenches
Borrador
Default shortcut
None
Introduced in version
-
See also
Borrador ArregloPolar , Borrador ArregloCircular, Borrador ArregloTrayectorias, Borrador ArregloPuntos, Borrador Clon

Descripción

La Borrador Arreglo herramienta crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

Utilizaación

  1. Selecciona un objeto a partir del que desees crear una matriz
  2. Presiona el botón Matriz

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.